CREATE TABLE je_gr_cutoff_rules (
    SET_OF_BOOKS_ID          NUMBER(18, 0)    NOT NULL,
    RULE_ID                  NUMBER(18, 0),
    CATEGORY_CODE            VARCHAR2(120)    NOT NULL,
    CAT_APPLICATION_ID       NUMBER(18, 0)    NOT NULL,
    DAYS                     NUMBER(18, 0)    NOT NULL,
    VIOLATION_RESPONSE       VARCHAR2(40)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ENABLED_FLAG             VARCHAR2(4)  ,
    ATTRIBUTE_CATEGORY       VARCHAR2(120),
    ATTRIBUTE1               VARCHAR2(600),
    ATTRIBUTE2               VARCHAR2(600),
    ATTRIBUTE3               VARCHAR2(600),
    ATTRIBUTE4               VARCHAR2(600),
    ATTRIBUTE5               VARCHAR2(600),
    ATTRIBUTE6               VARCHAR2(600),
    ATTRIBUTE7               VARCHAR2(600),
    ATTRIBUTE8               VARCHAR2(600),
    ATTRIBUTE9               VARCHAR2(600),
    ATTRIBUTE10              VARCHAR2(600),
    ATTRIBUTE11              VARCHAR2(600),
    ATTRIBUTE12              VARCHAR2(600),
    ATTRIBUTE13              VARCHAR2(600),
    ATTRIBUTE14              VARCHAR2(600),
    ATTRIBUTE15              VARCHAR2(600),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    SET_OF_BOOKS_ID          NUMBER(18, 0)    NOT NULL,
    RULE_ID                  NUMBER(18, 0),
    CATEGORY_CODE            VARCHAR2(120)    NOT NULL,
    CAT_APPLICATION_ID       NUMBER(18, 0)    NOT NULL,
    DAYS                     NUMBER(18, 0)    NOT NULL,
    VIOLATION_RESPONSE       VARCHAR2(40)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ENABLED_FLAG             VARCHAR2(4)  ,
    ATTRIBUTE_CATEGORY       VARCHAR2(120),
    ATTRIBUTE1               VARCHAR2(600),
    ATTRIBUTE2               VARCHAR2(600),
    ATTRIBUTE3               VARCHAR2(600),
    ATTRIBUTE4               VARCHAR2(600),
    ATTRIBUTE5               VARCHAR2(600),
    ATTRIBUTE6               VARCHAR2(600),
    ATTRIBUTE7               VARCHAR2(600),
    ATTRIBUTE8               VARCHAR2(600),
    ATTRIBUTE9               VARCHAR2(600),
    ATTRIBUTE10              VARCHAR2(600),
    ATTRIBUTE11              VARCHAR2(600),
    ATTRIBUTE12              VARCHAR2(600),
    ATTRIBUTE13              VARCHAR2(600),
    ATTRIBUTE14              VARCHAR2(600),
    ATTRIBUTE15              VARCHAR2(600),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_je_gr_cutoff_rules PRIMARY KEY (RULE_ID, RULE_ID)
);
